commit:     285dbe3b94744737bd73bb78f0c60bcfdf54dad7
Author:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 19:28:07 2017 +0000
Commit:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 19:28:07 2017 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=285dbe3b

x11-themes/adwaita-icon-theme: version bump to 3.26.0

Package-Manager: Portage-2.3.18, Repoman-2.3.6
Manifest-Sign-Key: 0x7DF238CF0AA182E1

 .../adwaita-icon-theme-3.26.0.ebuild               | 58 ++++++++++++++++++++++
 x11-themes/adwaita-icon-theme/metadata.xml         |  8 +++
 2 files changed, 66 insertions(+)

diff --git a/x11-themes/adwaita-icon-theme/adwaita-icon-theme-3.26.0.ebuild 
b/x11-themes/adwaita-icon-theme/adwaita-icon-theme-3.26.0.ebuild
new file mode 100644
index 00000000..9f8717ec
--- /dev/null
+++ b/x11-themes/adwaita-icon-theme/adwaita-icon-theme-3.26.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit gnome2
+
+DESCRIPTION="GNOME default icon theme"
+HOMEPAGE="https://git.gnome.org/browse/adwaita-icon-theme/";
+
+SRC_URI="${SRC_URI}
+       branding? ( 
https://www.mail-archive.com/[email protected]/msg00043/tango-gentoo-v1.1.tar.gz
 )
+"
+LICENSE="
+       || ( LGPL-3 CC-BY-SA-3.0 )
+       branding? ( CC-BY-SA-4.0 )
+"
+SLOT="0"
+IUSE="branding"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris 
~x64-solaris ~x86-solaris"
+
+# gtk+:3 is needed for build for the gtk-encode-symbolic-svg utility
+# librsvg is needed for gtk-encode-symbolic-svg to be able to read the source 
SVG via its pixbuf loader and at runtime for rendering scalable icons shipped 
by the theme
+COMMON_DEPEND="
+       >=x11-themes/hicolor-icon-theme-0.10
+       gnome-base/librsvg:2
+"
+RDEPEND="${COMMON_DEPEND}
+       !<x11-themes/gnome-themes-standard-3.14
+"
+DEPEND="${COMMON_DEPEND}
+       x11-libs/gtk+:3
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+src_prepare() {
+       if use branding; then
+               for i in 16 22 24 32 48; do
+                       cp "${WORKDIR}"/tango-gentoo-v1.1/${i}x${i}/gentoo.png \
+                       "${S}"/Adwaita/${i}x${i}/places/start-here.png \
+                       || die "Copying gentoo logos failed"
+               done
+       fi
+
+       # Install cursors in the right place used in Gentoo
+       sed -e 's:^\(cursordir.*\)icons\(.*\):\1cursors/xorg-x11\2:' \
+               -i "${S}"/Makefile.am \
+               -i "${S}"/Makefile.in || die
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure GTK_UPDATE_ICON_CACHE=$(type -P true)
+}

diff --git a/x11-themes/adwaita-icon-theme/metadata.xml 
b/x11-themes/adwaita-icon-theme/metadata.xml
new file mode 100644
index 00000000..39980802
--- /dev/null
+++ b/x11-themes/adwaita-icon-theme/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo GNOME Desktop</name>
+</maintainer>
+</pkgmetadata>

Reply via email to